> ## Documentation Index > Fetch the complete documentation index at: https://www.bloxs.io/llms.txt > Use this file to discover all available pages before exploring further. # Get commercial rent contract objects filtered and paged > Get a paged list of existing commercial rent contract objects, optionally filtered to the given parameters. ## OpenAPI ````json POST /api/v1/contracts/commercialrent/contractobjectsfilter { "openapi": "3.0.4", "info": { "title": "Concept SalesContracts V1", "description": "Welcome to BETA version of the new Sales Concept Contracts API - intended for client public testing before the launch of the final version. During this BETA phase, we'll be improving the API based on specific client's feedbacks.", "version": "v1" }, "security": [ {} ], "tags": [ { "name": "CommercialRentContracts" }, { "name": "Concept CommercialRent" }, { "name": "Concept PrivateRent" }, { "name": "GeneralSalesContracts" }, { "name": "Metadata" }, { "name": "PrivateRentContracts" }, { "name": "SupplierContracts" } ], "paths": { "/api/v1/contracts/commercialrent/contractobjectsfilter": { "post": { "tags": [ "CommercialRentContracts" ], "summary": "Get commercial rent contract objects filtered and paged", "description": "Get a paged list of existing commercial rent contract objects, optionally filtered to the given parameters.", "operationId": "GetCommercialRentContractObjectsFilteredPaged", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/CommercialRentSalesContractObjectSearchRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/CommercialRentSalesContractObjectSearchResult" } } } } }, "x-d360-narrative-url": "

Get commercial rent contract objects filtered and paged (POST)

This endpoint retrieves a paged list of finalised commercial lease contracts, optionally filtered to a specific real estate object as well as owner, tenant, dates or renewal terms.

A developer calls this endpoint to browse or search contracts from the perspective of a real estate object, for example to find all finalised contracts linked to a specific store or office.


Request Fields

Field

Type

Required

Description

paging.pageSize

integer (int32)

No

The number of results to return per page. Minimum 1, maximum 1000.

paging.pageNumber

integer (int32)

No

The page of results to return. Minimum 1, maximum 9999.

sorting.columnName

string

No

The name of the field to sort the results by, for example name.

sorting.order

integer (int32)

No

The sort direction for the field named in sorting.columnName. Allowed values: 0 (ascending), 1 (descending).

filter.externalIdentifier

string

No

Filters on the identifier of the contract within the system of the requesting party. This identifier is not generated by Bloxs.

filter.reference

string

No

Filters on the reference of the contract as generated by Bloxs.

filter.ownerReference

string

No

Filters on the reference of the owner of the real estate object covered by the contract.

filter.relationReference

string

No

Filters on the reference of the primary tenant who is financially responsible for the contract.

filter.startDate.from

string (date-time)

No

Lower bound of the contract start date range. ISO 8601 format.

filter.startDate.to

string (date-time)

No

Upper bound of the contract start date range. ISO 8601 format.

filter.endDate.from

string (date-time)

No

Lower bound of the contract end date range. ISO 8601 format.

filter.endDate.to

string (date-time)

No

Upper bound of the contract end date range. ISO 8601 format.

filter.isStarted

boolean

No

Filters on whether the contract's start date has passed.

filter.isEnded

boolean

No

Filters on whether the contract's end date has passed.

filter.automaticExtends

boolean

No

Filters on whether the contract is subject to automatic renewal. Default value false.

filter.noticeDate.from

string (date-time)

No

Lower bound of the range for the latest cancellation date before automatic renewal takes effect. Relevant only when automaticExtends is true. ISO 8601 format.

filter.noticeDate.to

string (date-time)

No

Upper bound of the range for the latest cancellation date before automatic renewal takes effect. Relevant only when automaticExtends is true. ISO 8601 format.

filter.noticePeriod

integer (int32)

No

Filters on the notice period of the contract in months. Relevant when automaticExtends is true.

filter.depositTypeName

string

No

Filters on the name of the deposit type applied to the contract.

filter.realEstateObjectReference

string

No

Filters on the reference of the real estate object linked to the contract.


Response Fields

Field

Type

Required

Description

paging.pageSize

integer (int32)

No

The number of results returned per page, echoed back from the request.

paging.pageNumber

integer (int32)

No

The page number returned, echoed back from the request.

sorting.columnName

string

No

The field the results were sorted by, echoed back from the request.

sorting.order

integer (int32)

No

The sort direction applied, echoed back from the request. Allowed values: 0 (ascending), 1 (descending).

contractObjects.reference

string

No

The reference of the contract as generated by Bloxs.

contractObjects.externalIdentifier

string

No

The identifier of the contract within the system of the requesting party.

contractObjects.ownerReference

string

No

The reference of the owner of the real estate object covered by the contract.

contractObjects.relationReference

string

No

The reference of the primary tenant who is financially responsible for the contract.

contractObjects.extraRelationReferences

array of string

No

The references of co-tenants on the contract.

contractObjects.startDate

string (date-time)

Yes

Start date of the contract. ISO 8601 format.

contractObjects.endDate

string (date-time)

No

End date of the contract. ISO 8601 format.

contractObjects.isStarted

boolean

Yes

Whether the contract's start date has passed.

contractObjects.isEnded

boolean

Yes

Whether the contract's end date has passed.

contractObjects.automaticExtends

boolean

No

Whether the contract is subject to automatic renewal.

contractObjects.noticeDate

string (date-time)

No

The latest date on which the contract can be cancelled before automatic renewal takes effect. Only relevant when automaticExtends is true. ISO 8601 format.

contractObjects.noticePeriod

integer (int32)

No

Notice period of the contract in months. Relevant when automaticExtends is true.

contractObjects.depositTypeName

string

No

The name of the deposit type applied to the contract.

contractObjects.realEstateObjectReference

string

No

The reference of the real estate object linked to the contract.

" } } }, "components": { "schemas": { "CommercialRentSalesContractObjectSearchRequest": { "type": "object", "properties": { "paging": { "$ref": "#/components/schemas/PagingInfo" }, "sorting": { "$ref": "#/components/schemas/SortingInfo" }, "filter": { "$ref": "#/components/schemas/CommercialRentSalesContractObjectSearchRequestFilter" } }, "additionalProperties": false }, "CommercialRentSalesContractObjectSearchResult": { "type": "object", "properties": { "paging": { "$ref": "#/components/schemas/PagingInfo" }, "sorting": { "$ref": "#/components/schemas/SortingInfo" }, "contractObjects": { "type": "array", "items": { "$ref": "#/components/schemas/CommercialRentSalesContractObjectSearchResultFilter" }, "nullable": true } }, "additionalProperties": false }, "PagingInfo": { "type": "object", "properties": { "pageSize": { "maximum": 1000, "minimum": 1, "type": "integer", "format": "int32", "nullable": true }, "pageNumber": { "maximum": 9999, "minimum": 1, "type": "integer", "format": "int32", "nullable": true } }, "additionalProperties": false }, "SortingInfo": { "type": "object", "properties": { "columnName": { "type": "string", "nullable": true }, "order": { "type": "integer", "description": "Ascending = 0\nDescending = 1", "format": "int32", "x-enumNames": [ "Ascending", "Descending" ] } }, "additionalProperties": false }, "CommercialRentSalesContractObjectSearchRequestFilter": { "type": "object", "properties": { "externalIdentifier": { "type": "string", "nullable": true }, "reference": { "type": "string", "nullable": true }, "ownerReference": { "type": "string", "nullable": true }, "relationReference": { "type": "string", "nullable": true }, "startDate": { "$ref": "#/components/schemas/CompareFilterModelDateTime" }, "endDate": { "$ref": "#/components/schemas/CompareFilterModelDateTime" }, "isStarted": { "type": "boolean", "nullable": true }, "isEnded": { "type": "boolean", "nullable": true }, "automaticExtends": { "type": "boolean", "nullable": true }, "noticeDate": { "$ref": "#/components/schemas/CompareFilterModelDateTime" }, "noticePeriod": { "type": "integer", "format": "int32", "nullable": true }, "depositTypeName": { "type": "string", "nullable": true }, "realEstateObjectReference": { "type": "string", "nullable": true } }, "additionalProperties": false }, "CommercialRentSalesContractObjectSearchResultFilter": { "type": "object", "properties": { "reference": { "type": "string", "nullable": true }, "externalIdentifier": { "type": "string", "nullable": true }, "ownerReference": { "type": "string", "nullable": true }, "relationReference": { "type": "string", "nullable": true }, "extraRelationReferences": { "type": "array", "items": { "type": "string" }, "nullable": true }, "startDate": { "type": "string", "format": "date-time" }, "endDate": { "type": "string", "format": "date-time", "nullable": true }, "isStarted": { "type": "boolean" }, "isEnded": { "type": "boolean" }, "automaticExtends": { "type": "boolean", "nullable": true }, "noticeDate": { "type": "string", "format": "date-time", "nullable": true }, "noticePeriod": { "type": "integer", "format": "int32", "nullable": true }, "depositTypeName": { "type": "string", "nullable": true }, "realEstateObjectReference": { "type": "string", "nullable": true } }, "additionalProperties": false }, "CompareFilterModelDateTime": { "type": "object", "properties": { "from": { "type": "string", "format": "date-time", "nullable": true }, "to": { "type": "string", "format": "date-time", "nullable": true } }, "additionalProperties": false } } } } ````